Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class ProcessMarshallerImpl

    java.lang.Object
      org.jbpm.marshalling.impl.ProcessMarshallerImpl

All Implemented Interfaces:
  org.drools.core.marshalling.impl.ProcessMarshaller

    public class ProcessMarshallerImpl

extends Object
implements org.drools.core.marshalling.impl.ProcessMarshaller

Constructor Summary
`ProcessMarshallerImpl()`

Method Summary
`void` | `init(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
`List<ProcessInstance>` | `readProcessInstances(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
`void` | `readProcessTimers(org.drools.core.marshalling.impl.MarshallerReaderContext inCtx)`
`static TimerInstance` | `readTimer(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
`static WorkItem` | `readWorkItem(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
`static WorkItem` | `readWorkItem(org.drools.core.marshalling.impl.MarshallerReaderContext context, boolean includeVariables)`
`void` | `readWorkItems(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
`void` | `writeProcessInstances(org.drools.core.marshalling.impl.MarshallerWriteContext context)`
`void` | `writeProcessTimers(org.drools.core.marshalling.impl.MarshallerWriteContext outCtx)`
`static void` | `writeTimer(org.drools.core.marshalling.impl.MarshallerWriteContext context, TimerInstance timer)`
`static void` | `writeWorkItem(org.drools.core.marshalling.impl.MarshallerWriteContext context, WorkItem workItem)`
`static void` | `writeWorkItem(org.drools.core.marshalling.impl.MarshallerWriteContext context, WorkItem workItem, boolean includeVariables)`
`void` | `writeWorkItems(org.drools.core.marshalling.impl.MarshallerWriteContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessMarshallerImpl

    public ProcessMarshallerImpl()

Method Detail

### writeProcessInstances

    public void writeProcessInstances(org.drools.core.marshalling.impl.MarshallerWriteContext context)
                               throws IOException

  Specified by:
    `writeProcessInstances` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`

### writeProcessTimers

    public void writeProcessTimers(org.drools.core.marshalling.impl.MarshallerWriteContext outCtx)
                            throws IOException

  Specified by:
    `writeProcessTimers` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`

### writeTimer

    public static void writeTimer(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                  TimerInstance timer)
                           throws IOException

  Throws:
    `IOException`

### writeWorkItems

    public void writeWorkItems(org.drools.core.marshalling.impl.MarshallerWriteContext context)
                        throws IOException

  Specified by:
    `writeWorkItems` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`

### writeWorkItem

    public static void writeWorkItem(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                     WorkItem workItem)
                              throws IOException

  Throws:
    `IOException`

### writeWorkItem

    public static void writeWorkItem(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                     WorkItem workItem,
                                     boolean includeVariables)
                              throws IOException

  Throws:
    `IOException`

### readProcessInstances

    public List<ProcessInstance> readProcessInstances(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                               throws IOException

  Specified by:
    `readProcessInstances` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`

### readWorkItems

    public void readWorkItems(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                       throws IOException

  Specified by:
    `readWorkItems` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`

### readWorkItem

    public static WorkItem readWorkItem(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                 throws IOException

  Throws:
    `IOException`

### readWorkItem

    public static WorkItem readWorkItem(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                        boolean includeVariables)
                                 throws IOException

  Throws:
    `IOException`

### readProcessTimers

    public void readProcessTimers(org.drools.core.marshalling.impl.MarshallerReaderContext inCtx)
                           throws IOException,
                                  ClassNotFoundException

  Specified by:
    `readProcessTimers` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`
  Throws:
    `IOException`
    `ClassNotFoundException`

### readTimer

    public static TimerInstance readTimer(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                   throws IOException

  Throws:
    `IOException`

### init

    public void init(org.drools.core.marshalling.impl.MarshallerReaderContext context)

  Specified by:
    `init` in interface `org.drools.core.marshalling.impl.ProcessMarshaller`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.